Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\SPI\Persistence\Content\UrlAlias Class Reference

UrlAlias models one url alias path element separated by '/' in urls. More...

Inheritance diagram for eZ\Publish\SPI\Persistence\Content\UrlAlias:

## Public Attributes
const | LOCATION = 0
const | RESOURCE = 1
const | VIRTUAL = 2
| $id
| $type
| $destination
| $pathData
| $languageCodes
| $alwaysAvailable
| $isHistory
| $isCustom
| $forward

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

UrlAlias models one url alias path element separated by '/' in urls.

This class models the legacy structure used for url aliases.

Definition at line 16 of file SPI/Persistence/Content/UrlAlias.php.

## Member Data Documentation

## ◆ $alwaysAvailable

eZ\Publish\SPI\Persistence\Content\UrlAlias::$alwaysAvailable

Definition at line 83 of file SPI/Persistence/Content/UrlAlias.php.

## ◆ $destination

eZ\Publish\SPI\Persistence\Content\UrlAlias::$destination

Definition at line 43 of file SPI/Persistence/Content/UrlAlias.php.

## ◆ $forward

eZ\Publish\SPI\Persistence\Content\UrlAlias::$forward

Definition at line 104 of file SPI/Persistence/Content/UrlAlias.php.

## ◆ $id

eZ\Publish\SPI\Persistence\Content\UrlAlias::$id

Definition at line 28 of file SPI/Persistence/Content/UrlAlias.php.

## ◆ $isCustom

eZ\Publish\SPI\Persistence\Content\UrlAlias::$isCustom

Definition at line 97 of file SPI/Persistence/Content/UrlAlias.php.

## ◆ $isHistory

eZ\Publish\SPI\Persistence\Content\UrlAlias::$isHistory

Definition at line 90 of file SPI/Persistence/Content/UrlAlias.php.

## ◆ $languageCodes

eZ\Publish\SPI\Persistence\Content\UrlAlias::$languageCodes

Definition at line 76 of file SPI/Persistence/Content/UrlAlias.php.

## ◆ $pathData

eZ\Publish\SPI\Persistence\Content\UrlAlias::$pathData

Definition at line 69 of file SPI/Persistence/Content/UrlAlias.php.

## ◆ $type

eZ\Publish\SPI\Persistence\Content\UrlAlias::$type

Definition at line 35 of file SPI/Persistence/Content/UrlAlias.php.

## ◆ LOCATION

const eZ\Publish\SPI\Persistence\Content\UrlAlias::LOCATION = 0

Definition at line 18 of file SPI/Persistence/Content/UrlAlias.php.

Referenced by eZ\Publish\Core\Persistence\Cache\UrlAliasHandler\getCacheTags(), eZ\Publish\Core\Persistence\Cache\UrlAliasHandler\listURLAliasesForLocation(), eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\matchTypeAndDestination(), and eZ\Publish\Core\Persistence\Cache\UrlAliasHandler\removeURLAliases().

## ◆ RESOURCE

const eZ\Publish\SPI\Persistence\Content\UrlAlias::RESOURCE = 1

Definition at line 19 of file SPI/Persistence/Content/UrlAlias.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\matchTypeAndDestination().

## ◆ VIRTUAL

const eZ\Publish\SPI\Persistence\Content\UrlAlias::VIRTUAL = 2

Definition at line 20 of file SPI/Persistence/Content/UrlAlias.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Mapper\matchTypeAndDestination().

The documentation for this class was generated from the following file:

- SPI/Persistence/Content/UrlAlias.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.